ZIP_SET_ARCHIVE_FLAG(3)

NAME
zip_set_archive_flag - set zip archive flag

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int zip_set_archive_flag(struct zip *archive, zip_flags_t flag, int value);

DESCRIPTION
The zip_set_archive_flag function sets the flag flag for the archive archive to the value value.

Supported flags are:

    ZIP_AFL_TORRENT
        Create a torrent-zipped archive. This restricts the values that can be set from the application side. In particular, time stamps are not saved and the order of the files in the archive is alphabetical. No file comments or extended attributes are allowed and the archive comment can not be chosen.

RETURN VALUES
Upon successful completion 0 is returned, and -1 if an error occurred.

SEE ALSO
libzip(3), zip_get_archive_flag(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>